/*
 * @Date: 2024-09-25 11:14:29
 * @LastEditors: shirlwang
 * @LastEditTime: 2025-11-04 08:57:02
 */
import request from '@/utilsRc/request'

// 查询角色列表
export function listJobTrack(query) {
  return request({
    url: '/process/processEmploymentTracking/list',
    method: 'get',
    params: query
  })
}

// 查询角色详细
export function getJobTrack(ids) {
  return request({
    url: '/process/processEmploymentTracking/' + ids,
    method: 'get'
  })
}

// 新增角色
export function addJobTrack(data) {
  return request({
    url: '/process/processEmploymentTracking',
    method: 'post',
    data: data
  })
}

// 修改角色
export function updateJobTrack(data) {
  return request({
    url: '/process/processEmploymentTracking',
    method: 'put',
    data: data
  })
}

// 删除角色
export function delJobTrack(ids) {
  return request({
    url: '/process/processEmploymentTracking/' + ids,
    method: 'delete'
  })
}
